%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Class-MethodMaker

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Class::MethodMaker - Create generic methods for OO Perl
Name:		perl-%{perlname}
Version:	2.10
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Class+MethodMaker
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion} 

%description
This module solves the problem of having to continually write 
accessor methods for your objects that perform standard tasks.

The argument to 'use' is an arrayref, as pairs whose "keys" 
are the names of types of generic methods generated by MethodMaker 
and whose "values" tell method maker what methods to make.

To override any generated methods, it is sufficient to ensure that 
the overriding method is defined when Class::MethodMaker is called. 
Note that the use keyword introduces a BEGIN block, so you may need 
to define (or at least declare) your overriding method in a BEGIN block.

For more details see: http://search.cpan.org/search?module=Class+MethodMaker

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix 
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.10-1
- Version Update
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.08-1
- Initial Release
